gi.repository.GLib.GError: pk-client-error-quark: could not do untrusted question as no klass support

Bug #1829401 reported by errors.ubuntu.com bug bridge on 2019-05-16
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
packagekit (Ubuntu)
Medium
Unassigned
Eoan
Medium
Unassigned

Bug Description

The Ubuntu Error Tracker has been receiving reports about a problem regarding software-properties. This problem was most recently seen with package version 0.98.2, the problem page at https://errors.ubuntu.com/problem/300ff7bf9068dc50ace4c5db5c4a34ba0dfc926d contains more details, including versions of packages affected, stacktrace or traceback, and individual crash reports.
If you do not have access to the Ubuntu Error Tracker and are a software developer, you can request it at http://forms.canonical.com/reports/.

[Back trace]
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/softwareproperties/gtk/DialogCacheOutdated.py", line 86, in on_pktask_finish
    results = self._pktask.generic_finish(result)
gi.repository.GLib.GError: pk-client-error-quark: could not do untrusted question as no klass support (8)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/softwareproperties/gtk/DialogCacheOutdated.py", line 89, in on_pktask_finish
    Gtk.ButtonsType.CANCEL, _("Error while refreshing cache"))
  File "/usr/lib/python3/dist-packages/gi/overrides/__init__.py", line 319, in new_init
    return super_init_func(self, **new_kwargs)
  File "/usr/lib/python3/dist-packages/gi/overrides/Gtk.py", line 575, in __init__
    self._init(*args, **new_kwargs)
  File "/usr/lib/python3/dist-packages/gi/overrides/__init__.py", line 319, in new_init
    return super_init_func(self, **new_kwargs)
  File "/usr/lib/python3/dist-packages/gi/overrides/Gtk.py", line 521, in __init__
    _window_init(self, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/gi/overrides/__init__.py", line 319, in new_init
    return super_init_func(self, **new_kwargs)
TypeError: could not convert value for property `transient_for' from DialogCacheOutdated to GtkWindow

Julian Andres Klode (juliank) wrote :

I think this code originated from ximion, maybe he has an idea.

tags: added: rls-ee-incoming
description: updated
Julian Andres Klode (juliank) wrote :

This is a question about unsigned software that PackageKit could not ask.

affects: software-properties (Ubuntu) → packagekit (Ubuntu)
Changed in packagekit (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
status: Incomplete → Triaged
tags: removed: rls-ee-incoming
summary: - /usr/bin/software-properties-
- gtk:TypeError:on_pktask_finish:on_pktask_finish:new_init:__init__:new_init:__init__:new_init
+ gi.repository.GLib.GError: pk-client-error-quark: could not do untrusted
+ question as no klass support
tags: added: id-5ce6bfe06de363297ab7cde9
tags: added: rls-ee-incoming
tags: removed: rls-ee-incoming
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers